Program Berend3a;

(*$X+*)

Procedure Foo ( Bar: Integer );

Label
  L;

begin (* Foo *)
  write ( 'OK' );
  goto L;
  Var S: String ( Bar );
  write ( 'failed' );
  L:
  writeln;
end (* Foo *);

begin
  Foo ( 42 );
end.
